## Script (Python) "getReviewScore"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=here
##title=getReviewScore
##

# Return Review Score

elements = here.portal_catalog.searchResults(portal_type=['Element',],
                                             path='/'.join(here.getPhysicalPath()),)

scores = []

for element in elements:
    object = element.getObject()
    scores.append(int(object.getScore()))

sum = 0

for score in scores:
    sum += score


if sum > 0:
    score = int(sum/len(scores))
else:
    score = 0


return score